<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>noyau</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="noyau";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../interfaceGaphique/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;noyau</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Strategie.html" title="interface in noyau">Strategie</a></td>
<td class="colLast">
<div class="block">Interface stratégie</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Carte.html" title="class in noyau">Carte</a></td>
<td class="colLast">
<div class="block">Classe définissant l'objet carte au sein du jeu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Controleur.html" title="class in noyau">Controleur</a></td>
<td class="colLast">
<div class="block">Classe pouvant se comparer à un maitre du jeu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/JeuDeCarte.html" title="class in noyau">JeuDeCarte</a></td>
<td class="colLast">
<div class="block">Permet de créer un jeu de carte en fonction des paramètres de la partie
 (nombre de cartes)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Joueur.html" title="class in noyau">Joueur</a></td>
<td class="colLast">
<div class="block">Classe représentant un joueur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/JoueurArtificiel.html" title="class in noyau">JoueurArtificiel</a></td>
<td class="colLast">
<div class="block">Classe héritant de la classe joueur définissant les joueurs artificiels
 Permet la grstion des stratégies</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/JoueurHumain.html" title="class in noyau">JoueurHumain</a></td>
<td class="colLast">
<div class="block">Classe héritant de la classe joueur définissant les joueurs artificiels</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Pile.html" title="class in noyau">Pile</a></td>
<td class="colLast">
<div class="block">Classe définissant les objets de type pile, soit la pile de cartes jouées sous forme d'une linkedlist</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Pioche.html" title="class in noyau">Pioche</a></td>
<td class="colLast">
<div class="block">Classe définissant l'objet de type pioche, soit l'ensemble des cartes piochables sous forme d'une linkedlist</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Regle.html" title="class in noyau">Regle</a></td>
<td class="colLast">
<div class="block">Classe abstraite contenant les methodes permettant d'appliquer à la carte jouée, les règles de la variante utiliée pour la partie en cours
 La classe est abstraite car on redéfinie les méthdes pour chaque variante</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/StrategieAggressive.html" title="class in noyau">StrategieAggressive</a></td>
<td class="colLast">
<div class="block">Stratégie aggressive
 le joueur artificiel jouera des cartes ayant des effets aggressifs (faire piocher/sauter le tout de l'adversaire) quand c'est possible
 sinon il joue normalement</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/StrategieClassique.html" title="class in noyau">StrategieClassique</a></td>
<td class="colLast">
<div class="block">Classe définissant la stratégie classique des joueurs artificiels, à savoir jouer la première carte que le joueur peut jouer</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></td>
<td class="colLast">
<div class="block">Classe définissant les diffents effets des cartes selon les règles de la variante1</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante10.html" title="class in noyau">Variante10</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante11.html" title="class in noyau">Variante11</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante12.html" title="class in noyau">Variante12</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante13.html" title="class in noyau">Variante13</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante14.html" title="class in noyau">Variante14</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante15.html" title="class in noyau">Variante15</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante16.html" title="class in noyau">Variante16</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante17.html" title="class in noyau">Variante17</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/variante2.html" title="class in noyau">variante2</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/variante3.html" title="class in noyau">variante3</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante4.html" title="class in noyau">Variante4</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante5.html" title="class in noyau">Variante5</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante6.html" title="class in noyau">Variante6</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante7.html" title="class in noyau">Variante7</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Variante8.html" title="class in noyau">Variante8</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Variante9.html" title="class in noyau">Variante9</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/Couleur.html" title="enum in noyau">Couleur</a></td>
<td class="colLast">
<div class="block">Enumération des valeurs attribuables aux cartes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/Valeur.html" title="enum in noyau">Valeur</a></td>
<td class="colLast">
<div class="block">Enumération des différentes valeurs des cartes</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../noyau/PiocheEtPileVideExeption.html" title="class in noyau">PiocheEtPileVideExeption</a></td>
<td class="colLast">
<div class="block">Exception gérant la situation où la pile et la pioche sont vides</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../noyau/PoserCarteException.html" title="class in noyau">PoserCarteException</a></td>
<td class="colLast">
<div class="block">Exception gérant la situation où la carte sélectionnée ne peut pas être jouée</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../interfaceGaphique/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
